### Method

# Gio AppLaunchContext get_display

#### Declaration [src]

    char*
    g_app_launch_context_get_display (
      GAppLaunchContext* context,
      GAppInfo* info,
      GList* files
    )

#### Description [src]

Gets the display string for the `context`. This is used to ensure new applications are started on the same display as the launching application, by setting the `DISPLAY` environment variable.

#### Parameters

`info`

  Type: `GAppInfo`

  The app info.

  The data is owned by the caller of the method.

`files`

  Type: A list of `None`

  A list of `GFile` objects.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A display string for the display.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.